<script setup lang="ts">
import { useMemberStore } from '@/stores/member'
import { onMounted, ref } from 'vue'
import { useReceiptStore } from '@/stores/receipt'
import AddMember from './AddMember.vue'
const tel = ref('')
const memberStore = useMemberStore()
const receiptStore = useReceiptStore()
function onClick() {
  try {
    memberStore.searchMember(tel.value)
    console.log(memberStore.currentMember)
    // receiptStore.receipt?.memberId = memberStore.currentMember?.id
    // console.log('receipt after add member ' + JSON.stringify(receiptStore.receipt?.memberId))
    if (memberStore.currentMember) {
      receiptStore.updateCurrentMemberInReceipt(memberStore.currentMember)
    }
    receiptStore.calReceipt()
  } catch (error) {
    console.error('Error searching member:', error)
  }
}

onMounted(async () => {
  await memberStore.getMembers()
})
//   // เรียกใช้งาน API โดยส่งหมายเลขโทรศัพท์ที่ระบุไปยัง backend
//   const response = await axios.get(`/api/members/${tel.value}`)
//   const member = response.data // ข้อมูลสมาชิกที่ได้จาก backend
//   memberStore.currentMember = member // กำหนดข้อมูลสมาชิกที่ค้นพบไปยัง store ของสมาชิก
//   receiptStore.updateCurrentMember(member) // ส่งข้อมูลสมาชิกที่ค้นพบไปยัง store ของบิล
//   receiptStore.calReceipt() // คำนวณบิลใหม่
// } catch (error) {
//   console.error('Error searching member:', error)
// }

function showDialogAddMember() {
  console.log()
  memberStore.memberDialog = true
}
</script>

<template>
  <v-container class="bg-teal-darken-4">
    <v-row no-gutters>
      <v-col cols="6"
        ><v-text-field
          prepend-icon="mdi-account"
          v-model="tel"
          density="compact"
          variant="solo"
          label="Search Tel"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          @keyup.enter="onClick"
        ></v-text-field
      ></v-col>
      <v-col cols="4" class="pa-2 text-center"
        >{{ memberStore.currentMember ? memberStore.currentMember?.fullName : 'Not Found' }}
      </v-col>
      <v-col class="mt-2">
        <v-icon @click="showDialogAddMember"> mdi-account-multiple-plus</v-icon>
        <AddMember></AddMember>
      </v-col>
    </v-row>
  </v-container>
</template>
